Name: ca_NCSA-mics
Version: 1.33
Release: 1
Source: ca_NCSA-mics-1.33.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_NCSA-mics-1.33/9b95bbf2.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for mics accredited authority NCSA-mics

%if %([ -n "http://security.ncsa.uiuc.edu/CA/" ] && echo 1 || echo 0)
URL: http://security.ncsa.uiuc.edu/CA/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_NCSA-mics-1.33

%description
This is the trust anchor for the mics accredited authority NCSA-mics.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

